aboutsummaryrefslogtreecommitdiff
path: root/benchmark-reverse.bash
diff options
context:
space:
mode:
authorJakob Unterwurzacher2020-04-13 13:09:27 +0200
committerJakob Unterwurzacher2020-04-13 14:54:04 +0200
commit9a7ceef09ea1fc8cbe17b324a9d1a2e71e50cb0a (patch)
treee0806ffcfe2095525d655b15cd7034ef92ee590d /benchmark-reverse.bash
parenta2ad14b9ac92384f7cc0e8a0d8f385a9cd9a299a (diff)
shellcheck: make top-level bash scripts warning-free
And run shellcheck in test.bash.
Diffstat (limited to 'benchmark-reverse.bash')
-rwxr-xr-xbenchmark-reverse.bash8
1 files changed, 4 insertions, 4 deletions
diff --git a/benchmark-reverse.bash b/benchmark-reverse.bash
index 75e0dda..be98fc1 100755
--- a/benchmark-reverse.bash
+++ b/benchmark-reverse.bash
@@ -30,10 +30,10 @@ gocryptfs -q -init -reverse -extpass="echo test" -scryptn=10 $PLAIN
MNT=$(mktemp -d /tmp/linux-3.0.reverse.mnt.XXX)
# Cleanup trap
-trap "rm -f $PLAIN/.gocryptfs.reverse.conf ; fuse-unmount -z $MNT ; rmdir $MNT" EXIT
+trap 'rm -f "$PLAIN/.gocryptfs.reverse.conf" ; fuse-unmount -z "$MNT" ; rmdir "$MNT"' EXIT
# Mount
-gocryptfs -q -reverse -extpass="echo test" $PLAIN $MNT
+gocryptfs -q -reverse -extpass="echo test" "$PLAIN" "$MNT"
# Execute command, discard all stdout output, print elapsed time
# (to stderr, unfortunately).
@@ -45,6 +45,6 @@ function etime {
}
echo -n "LS: "
-etime ls -lR $MNT
+etime ls -lR "$MNT"
echo -n "CAT: "
-etime find $MNT -type f -exec cat {} +
+etime find "$MNT" -type f -exec cat {} +